<template>
  <div style="height: 720px">
    <avue-tree ref="tree" v-loading="treeLoading" :data="treeData" :option="treeOption" @node-click="nodeClick">
           <span slot-scope="{ node, data }" class="el-tree-node__label">
               <span>
                  <i class="el-icon-s-promotion"></i>
                    {{ (node || {}).label }}
                </span>
              </span>
    </avue-tree>
  </div>
</template>

<script>
import {getEbomInfo} from "@/api/UI/uiDefine";

export default {
  name: "product",
  props: {
    sourceData: {
      type: Array,
      default: {}
    },
    dataStore: {
      type: Array,
      default: []
    },
    paramVOS: {
      type: Array,
      default: {}
    }
  },
  data() {
    return {
      treeLoading: false,
      treeData: [],
      treeOption: {
        height: 'auto',
        menu: false,
        addBtn: false,
        defaultExpandAll: false,
        props: {
          label: 'text',
          value: 'oid',
          children: 'children',
        },
        lazy: true,
        treeLoad: (node, resolve) => {
          console.log(node);
          const params = {
            productNo: this.dataStore[0].productnumber,
            productOid: this.dataStore[0].oid,
            parentOid: node.level === 0 ? '' : node.data.oid
          }
          getEbomInfo(params).then(res => {
            console.log(res);
            resolve(res.data.data.map(item => {
              return {
                ...item,
                leaf: item.leaf
              }
            }))
          })
        }
      },
    }
  },
  created() {
    console.log('this.dataStore',this.dataStore);
  },
  methods: {
    nodeClick(row) {
      console.log(row);
      this.$emit("setDataStore", {
        area: 'westAreaInDialog',
        type: 'tree',
        btmType: 'workcontext',
        dataStore: [row]
      });
    }
  }
}
</script>

<style scoped>

</style>
